# Interface Module

AngularJS module interface for registering components, services, providers, etc.

interface Module {
component: ((arg0: string, arg1: any) => Module);
config: ((arg0: Function) => Module);
constant: ((arg0: string, arg1: any) => Module);
controller: ((arg0: string, arg1: Injectable<T>) => Module);
decorator: ((arg0: string, arg1: Injectable<T>) => Module);
directive: ((arg0: string, arg1: Injectable<T>) => Module);
factory: ((arg0: string, arg1: Injectable<T>) => Module);
filter: ((arg0: string, arg1: Injectable<T>) => Module);
name: string;
provider: ((arg0: string, arg1: Function) => Module);
requires: string[];
run: ((arg0: Injectable<T>) => Module);
service: ((arg0: string, arg1: Injectable<T>) => Module);
value: ((arg0: string, arg1: any) => Module);
}

- Defined in types.js:315

#####
Index

### Properties

component
config
constant
controller
decorator
directive
factory
filter
name
provider
requires
run
service
value

##
Properties

### component

component: ((arg0: string, arg1: any) => Module)

Use this method to register a component.

- Defined in types.js:316
- Defined in types.js:318

### config

config: ((arg0: Function) => Module)

Use this method to register work which needs to be performed on module loading.

- Defined in types.js:320
- Defined in types.js:322

### constant

constant: ((arg0: string, arg1: any) => Module)

Register a constant service with the $injector.

- Defined in types.js:324
- Defined in types.js:326

### controller

controller: ((arg0: string, arg1: Injectable<T>) => Module)

Register a controller with the $controller service.

- Defined in types.js:328
- Defined in types.js:330

### decorator

decorator: ((arg0: string, arg1: Injectable<T>) => Module)

Register a service decorator with the $injector.

- Defined in types.js:360

### directive

directive: ((arg0: string, arg1: Injectable<T>) => Module)

Register a directive with the compiler.

- Defined in types.js:332
- Defined in types.js:334

### factory

factory: ((arg0: string, arg1: Injectable<T>) => Module)

Register a service factory with the $injector.

- Defined in types.js:336
- Defined in types.js:338

### filter

filter: ((arg0: string, arg1: Injectable<T>) => Module)

Register a filter service.

- Defined in types.js:340
- Defined in types.js:342

### name

name: string

The name of the AngularJS module.

- Defined in types.js:362

### provider

provider: ((arg0: string, arg1: Function) => Module)

Register a provider service factory.

- Defined in types.js:344
- Defined in types.js:346
- Defined in types.js:348

### requires

requires: string[]

Array of module names that this module depends on.

- Defined in types.js:364

### run

run: ((arg0: Injectable<T>) => Module)

Register code to be run during module loading.

- Defined in types.js:350

### service

service: ((arg0: string, arg1: Injectable<T>) => Module)

Register a service constructor.

- Defined in types.js:352
- Defined in types.js:354

### value

value: ((arg0: string, arg1: any) => Module)

Register a value service with the $injector.

- Defined in types.js:356
- Defined in types.js:358